Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.encoding
Class IntDecoder

    java.lang.Object
      org.apache.lucene.facet.encoding.IntDecoder

Direct Known Subclasses:
  DGapIntDecoder, DGapVInt8IntDecoder, EightFlagsIntDecoder, FourFlagsIntDecoder, SimpleIntDecoder, VInt8IntDecoder

    public abstract class IntDecoder

extends Object

Decodes integers from a set `BytesRef`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`IntDecoder()`

Method Summary
`abstract void` | `decode(BytesRef buf, IntsRef values)` Decodes the values from the buffer into the given `IntsRef`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntDecoder

    public IntDecoder()

Method Detail

### decode

    public abstract void decode(BytesRef buf,
                                IntsRef values)

  Decodes the values from the buffer into the given `IntsRef`. Note that `values.offset` is set to 0, and `values.length` is updated to denote the number of decoded values.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.